FreshPorts -- The Place For Ports If you buy from Amazon USA, please support us by using this link.
Follow us
Blog
Twitter

Port details
py-genshi-devel Python toolkit for stream-based generation of output for the web
0.6.1052_2 textproc Deleted on this many watch lists=0 search for ports that depend on this port Find issues related to this port Report an issue related to this port
Deprecated DEPRECATED: The port is no longer updated and behind the main genshi port
Expired This port expired on: 2016-03-31
Maintainer: alexey@renatasystems.org search for ports maintained by this maintainer
Port Added: 11 May 2009 19:52:22
Also Listed In: www python
License: not specified in port
Genshi is a Python library that provides an integrated set of components
for parsing, generating, and processing HTML, XML or other textual content
for output generation on the web. The major feature is a template language,
which is heavily inspired by Kid. 

The development version 0.6 has the following features:

* Improved XPath engine.

* Code generation instead of AST transformation for template expressions.

* Use of Python _ast module as an alternative to the deprecated compiler
* package.

* Full support for advanced internationalization.

* Drop Python 2.3 compatibility, Python 2.4 will be the minimum required
* version.

WWW:	http://genshi.edgewall.org/
SVNWeb : Homepage : PortsMon

No installation instructions: this port has been deleted.

The package name of this deleted port was:

PKGNAME: py27-Genshi-devel

distinfo: There is no distinfo for this port.


NOTE: FreshPorts displays only information on required and default dependencies. Optional dependencies are not covered.

Build dependencies:
  1. py27-setuptools27>0 : devel/py-setuptools27
  2. python2.7 : lang/python27
Runtime dependencies:
  1. py27-setuptools27>0 : devel/py-setuptools27
  2. python2.7 : lang/python27
There are no ports dependent upon this port

Configuration Options
===> The following configuration options are available for py27-Genshi-devel-0.6.1052_2:
     DOCS=on: Build and/or install documentation
     EXAMPLES=on: Build and/or install examples
===> Use 'make config' to modify these settings

USES:
python

Master Sites:
  1. ftp://ftp.renatasystems.org/pub/FreeBSD/ports/distfiles/
  2. http://distcache.FreeBSD.org/ports-distfiles/
Port Moves
  • port moved to textproc/py-genshi on 2016-03-31
    REASON: Has expired: The port is no longer updated and behind the main genshi port

Number of commits found: 11

Commit History - (may be incomplete: see SVNWeb link above for full details)
DateByDescription
31 Mar 2016 20:54:10
Original commit files touched by this commit  0.6.1052_2
Revision:412303
rene search for other commits by this committer
Remove expired ports:
2016-03-31 databases/rubygem-after_commit_queue-rails41: Rails 4.1 is no longer
supported - please switch to Rails 4.2
2016-03-31 textproc/rubygem-jekyll-assets1: Use textproc/rubygem-jekyll-assets
instead
2016-03-31 devel/rubygem-sprockets-rails-rails41: Rails 4.1 is no longer
supported - please switch to Rails 4.2
2016-03-31 mail/rubygem-actionmailer41: Rails 4.1 is no longer supported -
please switch to Rails 4.2
2016-03-31 databases/rubygem-activemodel41: Rails 4.1 is no longer supported -
please switch to Rails 4.2
2016-03-31 devel/rubygem-activesupport41: Rails 4.1 is no longer supported -
please switch to Rails 4.2
2016-03-31 www/rubygem-actionpack41: Rails 4.1 is no longer supported - please
switch to Rails 4.2
2016-03-31 devel/rubygem-actionview41: Rails 4.1 is no longer supported - please
switch to Rails 4.2
2016-03-31 databases/rubygem-paranoia-rails41: Rails 4.1 is no longer supported
- please switch to Rails 4.2
2016-03-31 databases/rubygem-activerecord41: Rails 4.1 is no longer supported -
please switch to Rails 4.2
2016-03-31 textproc/rubygem-sass-rails4-rails41: Rails 4.1 is no longer
supported - please switch to Rails 4.2
2016-03-31 www/rubygem-turbolinks-rails41: Rails 4.1 is no longer supported -
please switch to Rails 4.2
2016-03-31 devel/rubygem-omniauth_crowd-rails41: Rails 4.1 is no longer
supported - please switch to Rails 4.2
2016-03-31 devel/rubygem-coffee-rails41: Rails 4.1 is no longer supported -
please switch to Rails 4.2
2016-03-31 www/rubygem-railties41: Rails 4.1 is no longer supported - please
switch to Rails 4.2
2016-03-31 devel/rubygem-jbuilder-rails41: Rails 4.1 is no longer supported -
please switch to Rails 4.2
2016-03-31 textproc/py-genshi-devel: The port is no longer updated and behind
the main genshi port
10 Jan 2016 10:14:35
Original commit files touched by this commit  0.6.1052_2
Revision:405687
miwi search for other commits by this committer
- Mark DEPRECATED ( The port is no longer updated and behind the main genshi
port)

PR:		205849
Submitted by:	Vladimir Krstulja
07 Dec 2014 10:01:37
Original commit files touched by this commit  0.6.1052_2
Revision:374183
mva search for other commits by this committer
- Convert textproc/ to USES=python

With hat:	python@
15 Nov 2014 16:26:33
Original commit files touched by this commit  0.6.1052_2
Revision:372605
antoine search for other commits by this committer
Cleanup plist
16 Jul 2014 03:18:26
Original commit files touched by this commit  0.6.1052_2
Revision:362024
adamw search for other commits by this committer
Add DOCS option where PORTDOCS is in plist.
19 Jun 2014 18:59:39
Original commit files touched by this commit  0.6.1052_2
Revision:358456
mva search for other commits by this committer
- Enable stagedir support
- Remove easy_install dependency
- Convert to PYDISTUTILS_AUTOPLIST
- Bump PORTREVISION to enforce a cleanup for the easy_install references

With hat:	python@
Approved by:	portmgr (implicit)
13 Jan 2014 21:00:04
Original commit files touched by this commit  0.6.1052_1
Revision:339634
rene search for other commits by this committer
Python cleanup:
- USE_PYTHON* = 2.X -> USE_PYTHON* = 2
- USE_PYTHON* = 2.X+ -> USE_PYTHON* = yes
Reviewed by:	python (mva, rm)
Approved by:	portmgr-lurkers (mat)
20 Sep 2013 23:17:32
Original commit files touched by this commit  0.6.1052_1
Revision:327773
bapt search for other commits by this committer
Add NO_STAGE all over the place in preparation for the staging support (cat:
textproc)
25 Feb 2011 03:19:29
Original commit files touched by this commit  0.6.1052_1
miwi search for other commits by this committer
- Move over to py25 or above
- While here get rid FreeBSD 6.X and md5 support
11 May 2009 20:16:09
Original commit files touched by this commit  0.6.1052
dhn search for other commits by this committer
- Update to 0.6.1052
- Connect to the build

PR:             ports/134304
Submitted by:   Alexey V.Degtyarev <alexey@renatasystems.org> (maintainer)
Approved by:    miwi (mentor)
11 May 2009 19:52:00
Original commit files touched by this commit  0.5.1_2
dhn search for other commits by this committer
Force commit to note repocopy from textproc/py-genshi too
textproc/py-genshi-devel

Number of commits found: 11

Login
User Login
Create account

Servers and bandwidth provided by
New York Internet, SuperNews, and RootBSD

This site
What is FreshPorts?
About the authors
Issues
FAQ
How big is it?
The latest upgrade!
Privacy
Forums
Blog
Contact

Search
Enter Keywords:
 
more...

Latest Vulnerabilities
eogAug 22
p5-PathTools*Aug 22
p5-XSLoader*Aug 22
perl5-devel*Aug 22
perl5-devel*Aug 22
perl5-devel*Aug 22
perl5.18*Aug 22
perl5.18*Aug 22
perl5.18*Aug 22
perl5.20*Aug 22
perl5.20*Aug 22
perl5.20*Aug 22
perl5.20*Aug 22
perl5.22*Aug 22
perl5.22*Aug 22

57 vulnerabilities affecting 92 ports have been reported in the past 14 days

* - modified, not new

All vulnerabilities


Ports
Home
Categories
Deleted ports
Sanity Test Failures
Newsfeeds

Statistics
Graphs
NEW Graphs (Javascript)
Traffic

Calculated hourly:
Port count 26164
Broken 97
Deprecated 144
Ignore 367
Forbidden 0
Restricted 199
No CDROM 83
Vulnerable 65
Expired 16
Set to expire 130
Interactive 0
new 24 hours 0
new 48 hours8
new 7 days17
new fortnight39
new month113

Servers and bandwidth provided by
New York Internet, SuperNews, and RootBSD
Valid HTML, CSS, and RSS.
Copyright © 2000-2014 Dan Langille. All rights reserved.